Bug 827277 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'unlink' accesses on the file settings.sol.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'unlink' a...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:97968f637e6758f2ed63532eab2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 22:02 EDT by Agustin Ferrario
Modified: 2012-06-07 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 11:40:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Agustin Ferrario 2012-05-31 22:02:53 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Thu 31 May 2012 11:02:27 PM ART

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'unlink' accesses on the file settings.sol.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed unlink access on the settings.sol file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                settings.sol [ file ]
:Source                        plugin-containe
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           xulrunner-12.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-125.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc17.x86_64 #1
:                              SMP Mon May 21 22:32:19 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Thu 31 May 2012 11:01:47 PM ART
:Last Seen                     Thu 31 May 2012 11:01:47 PM ART
:Local ID                      539992f6-eeda-40eb-8a1a-6ed12f047587
:
:Raw Audit Messages
:type=AVC msg=audit(1338516107.864:88): avc:  denied  { unlink } for  pid=2084 comm="plugin-containe" name="settings.sol" dev="sda6" ino=3811293 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1338516107.864:88): arch=x86_64 syscall=unlink success=yes exit=0 a0=7f7c4a415be0 a1=7fff47466360 a2=0 a3=6e696167040000 items=0 ppid=1675 pid=2084 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=plugin-containe exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: plugin-containe,mozilla_plugin_t,user_home_t,file,unlink
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-04 11:05:43 EDT
Where is settings.sol exactly located?
Comment 2 Daniel Walsh 2012-06-04 11:40:38 EDT
restorecon -R -v ~

Should fix the problem.

File is usually in ~/.macromedia
Comment 3 Agustin Ferrario 2012-06-05 22:53:00 EDT
Yep.. it's there. Totaly solved the problem. Sorry for reporting
Comment 4 Daniel Walsh 2012-06-07 12:58:48 EDT
No we know we have a known problem,  Basically we need to restorecon -R -v /home on every F17 machine that gets updated from F16.

Note You need to log in before you can comment on or make changes to this bug.